import { IgcAccordionComponent as Component } from 'igniteui-webcomponents';
import type { IgcExpansionPanelComponentEventMap } from 'igniteui-webcomponents';
import { type EventName } from '../react-props.js';
/**
 * The Accordion is a container-based component that can house multiple expansion panels
 * and offers keyboard navigation.
 * @slot  - Renders the expansion panels inside default slot.
 */
export declare const IgrAccordion: import("../react-props.js").ReactWebComponent<Component, {
    onOpening: EventName<IgcExpansionPanelComponentEventMap["igcOpening"]>;
    onOpened: EventName<IgcExpansionPanelComponentEventMap["igcOpened"]>;
    onClosing: EventName<IgcExpansionPanelComponentEventMap["igcClosing"]>;
    onClosed: EventName<IgcExpansionPanelComponentEventMap["igcClosed"]>;
}, {}>;
export type IgrAccordion = Component;
/** @deprecated Module register is no longer needed and can be removed */
export declare const IgrAccordionModule: typeof Component;
