import { IgcBannerComponent as Component } from 'igniteui-webcomponents';
import type { IgcBannerComponentEventMap } from 'igniteui-webcomponents';
import { type EventName } from '../react-props.js';
/**
 * The `igc-banner` component displays important and concise message(s) for a user to address, that is specific to a page or feature.
 * @slot  - Renders the text content of the banner message.
 * @slot prefix - Renders additional content at the start of the message block.
 * @slot actions - Renders any action elements.
 * @fires igcClosing - Emitted before closing the banner - when a user interacts (click) with the default action of the banner.
 * @fires igcClosed - Emitted after the banner is closed - when a user interacts (click) with the default action of the banner.
 * @csspart base - The base wrapper of the banner component.
 * @csspart spacer - The inner wrapper that sets the space around the banner.
 * @csspart message - The part that holds the text and the illustration.
 * @csspart illustration - The part that holds the banner icon/illustration.
 * @csspart content - The part that holds the banner text content.
 * @csspart actions - The part that holds the banner action buttons.
 */
export declare const IgrBanner: import("../react-props.js").ReactWebComponent<Component, {
    onClosing: EventName<IgcBannerComponentEventMap["igcClosing"]>;
    onClosed: EventName<IgcBannerComponentEventMap["igcClosed"]>;
}, {}>;
export type IgrBanner = Component;
/** @deprecated Module register is no longer needed and can be removed */
export declare const IgrBannerModule: typeof Component;
