import { IgcButtonGroupComponent as Component } from 'igniteui-webcomponents';
import type { IgcButtonGroupComponentEventMap } from 'igniteui-webcomponents';
import { type EventName } from '../react-props.js';
/**
 * The `igc-button-group` groups a series of `igc-toggle-button`s together, exposing features such as layout and selection.
 * @slot  - Renders `igc-toggle-button` component.
 * @fires igcSelect - Emitted when a button is selected through user interaction.
 * @fires igcDeselect - Emitted when a button is deselected through user interaction.
 * @csspart group - The button group container.
 */
export declare const IgrButtonGroup: import("../react-props.js").ReactWebComponent<Component, {
    onSelect: EventName<IgcButtonGroupComponentEventMap["igcSelect"]>;
    onDeselect: EventName<IgcButtonGroupComponentEventMap["igcDeselect"]>;
}, {}>;
export type IgrButtonGroup = Component;
/** @deprecated Module register is no longer needed and can be removed */
export declare const IgrButtonGroupModule: typeof Component;
