import { IgcChipComponent as Component } from 'igniteui-webcomponents';
import type { IgcChipComponentEventMap } from 'igniteui-webcomponents';
import { type EventName } from '../react-props.js';
/**
 * Chips help people enter information, make selections, filter content, or trigger actions.
 * @slot  - Renders the chip data.
 * @slot prefix - Renders content before the data of the chip.
 * @slot suffix - Renders content after the data of the chip.
 * @fires igcRemove - Emits an event when the chip component is removed. Returns the removed chip component.
 * @fires igcSelect - Emits event when the chip component is selected/deselected and any related animations and transitions also end.
 * @csspart base - The base wrapper of the chip.
 * @csspart prefix - The prefix container of the chip.
 * @csspart suffix - The suffix container of the chip.
 */
export declare const IgrChip: import("../react-props.js").ReactWebComponent<Component, {
    onRemove: EventName<IgcChipComponentEventMap["igcRemove"]>;
    onSelect: EventName<IgcChipComponentEventMap["igcSelect"]>;
}, {}>;
export type IgrChip = Component;
/** @deprecated Module register is no longer needed and can be removed */
export declare const IgrChipModule: typeof Component;
