import { IgcDialogComponent as Component } from 'igniteui-webcomponents';
import type { IgcDialogComponentEventMap } from 'igniteui-webcomponents';
import { type EventName } from '../react-props.js';
/**
 * Represents a Dialog component.
 * @slot  - Renders content inside the default slot.
 * @slot title - Renders the title of the dialog header.
 * @slot message - Renders the message content of the dialog.
 * @slot footer - Renders the dialog footer.
 * @fires igcClosing - Emitter just before the dialog is closed.
 * @fires igcClosed - Emitted after closing the dialog.
 * @csspart base - The base wrapper of the dialog.
 * @csspart title - The title container.
 * @csspart footer - The footer container.
 * @csspart overlay - The overlay.
 */
export declare const IgrDialog: import("../react-props.js").ReactWebComponent<Component, {
    onClosing: EventName<IgcDialogComponentEventMap["igcClosing"]>;
    onClosed: EventName<IgcDialogComponentEventMap["igcClosed"]>;
}, {}>;
export type IgrDialog = Component;
/** @deprecated Module register is no longer needed and can be removed */
export declare const IgrDialogModule: typeof Component;
