import { IgcDropdownComponent as Component } from 'igniteui-webcomponents';
import type { IgcDropdownComponentEventMap } from 'igniteui-webcomponents';
import { type EventName } from '../react-props.js';
/**
 * Represents a DropDown component.
 * @slot target - Renders the dropdown's target element.
 * @slot  - Renders the dropdown list items.
 * @fires igcChange - Emitted when the selected item changes.
 * @fires igcOpening - Emitted just before the dropdown is open.
 * @fires igcOpened - Emitted after the dropdown is open.
 * @fires igcClosing - Emitter just before the dropdown is closed.
 * @fires igcClosed - Emitted after closing the dropdown.
 * @csspart base - The dropdown list wrapper container.
 * @csspart list - The dropdown list element.
 */
export declare const IgrDropdown: import("../react-props.js").ReactWebComponent<Component, {
    onChange: EventName<IgcDropdownComponentEventMap["igcChange"]>;
    onOpening: EventName<IgcDropdownComponentEventMap["igcOpening"]>;
    onOpened: EventName<IgcDropdownComponentEventMap["igcOpened"]>;
    onClosing: EventName<IgcDropdownComponentEventMap["igcClosing"]>;
    onClosed: EventName<IgcDropdownComponentEventMap["igcClosed"]>;
}, {}>;
export type IgrDropdown = Component;
/** @deprecated Module register is no longer needed and can be removed */
export declare const IgrDropdownModule: typeof Component;
