import { IgcRatingComponent as Component } from 'igniteui-webcomponents';
import type { IgcRatingComponentEventMap } from 'igniteui-webcomponents';
import { type EventName } from '../react-props.js';
/**
 * Rating provides insight regarding others' opinions and experiences,
 * and can allow the user to submit a rating of their own
 * @fires igcChange - Emitted when the value of the control changes.
 * @fires igcHover - Emitted when hover is enabled and the user mouses over a symbol of the rating.
 * @csspart base - The main wrapper which holds all of the rating elements.
 * @csspart label - The label part.
 * @csspart value-label - The value label part.
 * @csspart symbols - A wrapper for all rating symbols.
 * @csspart symbol - The part of the encapsulated default symbol.
 * @csspart full - The part of the encapsulated full symbols.
 * @csspart empty - The part of the encapsulated empty symbols.
 * @cssproperty --symbol-size - The size of the symbols.
 * @cssproperty --symbol-full-color - The color of the filled symbol.
 * @cssproperty --symbol-empty-color - The color of the empty symbol.
 * @cssproperty --symbol-full-filter - The filter(s) used for the filled symbol.
 * @cssproperty --symbol-empty-filter - The filter(s) used for the empty symbol.
 */
export declare const IgrRating: import("../react-props.js").ReactWebComponent<Component, {
    onChange: EventName<IgcRatingComponentEventMap["igcChange"]>;
    onHover: EventName<IgcRatingComponentEventMap["igcHover"]>;
}, {}>;
export type IgrRating = Component;
/** @deprecated Module register is no longer needed and can be removed */
export declare const IgrRatingModule: typeof Component;
