import { IgcSnackbarComponent as Component } from 'igniteui-webcomponents';
import type { IgcSnackbarComponentEventMap } from 'igniteui-webcomponents';
import { type EventName } from '../react-props.js';
/**
 * A snackbar component is used to provide feedback about an operation
 * by showing a brief message at the bottom of the screen.
 * @slot  - Default slot to render the snackbar content.
 * @slot action - Renders the action part of the snackbar. Usually an interactive element (button)
 * @fires igcAction - Emitted when the snackbar action button is clicked.
 * @csspart base - The base wrapper of the snackbar component.
 * @csspart message - The snackbar message.
 * @csspart action - The default snackbar action button.
 * @csspart action-container - The area holding the actions.
 */
export declare const IgrSnackbar: import("../react-props.js").ReactWebComponent<Component, {
    onAction: EventName<IgcSnackbarComponentEventMap["igcAction"]>;
}, {}>;
export type IgrSnackbar = Component;
/** @deprecated Module register is no longer needed and can be removed */
export declare const IgrSnackbarModule: typeof Component;
