import { IgcStepperComponent as Component } from 'igniteui-webcomponents';
import type { IgcStepperComponentEventMap } from 'igniteui-webcomponents';
import { type EventName } from '../react-props.js';
/**
 * IgxStepper provides a wizard-like workflow by dividing content into logical steps.
 * @slot  - Renders the step components inside default slot.
 * @fires igcActiveStepChanging - Emitted when the active step is about to change.
 * @fires igcActiveStepChanged - Emitted when the active step is changed.
 */
export declare const IgrStepper: import("../react-props.js").ReactWebComponent<Component, {
    onActiveStepChanging: EventName<IgcStepperComponentEventMap["igcActiveStepChanging"]>;
    onActiveStepChanged: EventName<IgcStepperComponentEventMap["igcActiveStepChanged"]>;
}, {}>;
export type IgrStepper = Component;
/** @deprecated Module register is no longer needed and can be removed */
export declare const IgrStepperModule: typeof Component;
