import { IgcTooltipComponent as Component } from 'igniteui-webcomponents';
import type { IgcTooltipComponentEventMap } from 'igniteui-webcomponents';
import { type EventName } from '../react-props.js';
/**
 * Provides a way to display supplementary information related to an element when a user interacts with it (e.g., hover, focus).
 * It offers features such as placement customization, delays, sticky mode, and animations.
 * @slot  - Default slot of the tooltip component.
 * @slot close-button - Slot for custom sticky-mode close action (e.g., an icon/button).
 * @fires igcOpening - Emitted before the tooltip begins to open. Can be canceled to prevent opening.
 * @fires igcOpened - Emitted after the tooltip has successfully opened and is visible.
 * @fires igcClosing - Emitted before the tooltip begins to close. Can be canceled to prevent closing.
 * @fires igcClosed - Emitted after the tooltip has been fully removed from view.
 * @csspart base - The wrapping container of the tooltip content.
 */
export declare const IgrTooltip: import("../react-props.js").ReactWebComponent<Component, {
    onOpening: EventName<IgcTooltipComponentEventMap["igcOpening"]>;
    onOpened: EventName<IgcTooltipComponentEventMap["igcOpened"]>;
    onClosing: EventName<IgcTooltipComponentEventMap["igcClosing"]>;
    onClosed: EventName<IgcTooltipComponentEventMap["igcClosed"]>;
}, {}>;
export type IgrTooltip = Component;
/** @deprecated Module register is no longer needed and can be removed */
export declare const IgrTooltipModule: typeof Component;
