import { IgcTreeComponent as Component } from 'igniteui-webcomponents';
import type { IgcTreeComponentEventMap } from 'igniteui-webcomponents';
import { type EventName } from '../react-props.js';
/**
 * The tree allows users to represent hierarchical data in a tree-view structure,
 * maintaining parent-child relationships, as well as to define static tree-view structure without a corresponding data model.
 * @slot  - Renders the tree items inside default slot.
 * @fires igcSelection - Emitted when item selection is changing, before the selection completes.
 * @fires igcItemCollapsed - Emitted when tree item is collapsed.
 * @fires igcItemCollapsing - Emitted when tree item is about to collapse.
 * @fires igcItemExpanded - Emitted when tree item is expanded.
 * @fires igcItemExpanding - Emitted when tree item is about to expand.
 * @fires igcActiveItem - Emitted when the tree's `active` item changes.
 */
export declare const IgrTree: import("../react-props.js").ReactWebComponent<Component, {
    onSelection: EventName<IgcTreeComponentEventMap["igcSelection"]>;
    onItemCollapsed: EventName<IgcTreeComponentEventMap["igcItemCollapsed"]>;
    onItemCollapsing: EventName<IgcTreeComponentEventMap["igcItemCollapsing"]>;
    onItemExpanded: EventName<IgcTreeComponentEventMap["igcItemExpanded"]>;
    onItemExpanding: EventName<IgcTreeComponentEventMap["igcItemExpanding"]>;
    onActiveItem: EventName<IgcTreeComponentEventMap["igcActiveItem"]>;
}, {}>;
export type IgrTree = Component;
/** @deprecated Module register is no longer needed and can be removed */
export declare const IgrTreeModule: typeof Component;
